package de.tysox.bs_elmshorn;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.support.v4.app.Fragment;
import android.view.Display;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.TextView;

import java.util.Calendar;


/**
 * Created by Jan on 16.09.2017.
 */

public class Tab1 extends Fragment {

    public int currentWeek;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.tab1, container, false);

        Handler handler = new Handler();
        handler.postDelayed(new Runnable() {
            @Override
            public void run() {
                WebView webView= (WebView) MainActivity.getInstance().findViewById(R.id.timetable);
                webView.setWebViewClient(new WebViewClient());
                webView.getSettings().setAppCacheMaxSize( 5 * 1024 * 1024 ); // 5MB
                webView.getSettings().setLayoutAlgorithm(WebSettings.LayoutAlgorithm.SINGLE_COLUMN);

                webView.getSettings().setAppCachePath( MainActivity.getInstance().getApplicationContext().getCacheDir().getAbsolutePath() );
                webView.getSettings().setAllowFileAccess( true );
                webView.getSettings().setAppCacheEnabled( true );
                webView.getSettings().setJavaScriptEnabled(true);
                webView.setVerticalScrollBarEnabled(false);
                webView.setHorizontalScrollBarEnabled(false);
                webView.getSettings().setCacheMode(WebSettings.LOAD_DEFAULT);

                if(!MainActivity.getInstance().isNetworkAvailable()) {
                    webView.getSettings().setCacheMode(WebSettings.LOAD_CACHE_ELSE_NETWORK);
                }

                Calendar calendar = Calendar.getInstance();

                currentWeek = calendar.get(Calendar.WEEK_OF_YEAR);

                webView.loadUrl("https://tysox.de/webapps/timetable.php?week="+ currentWeek);
                // s5 mini 119 opx 170 xperia 113
                webView.setPadding(0,0,0,0);
                webView.setInitialScale(getScale());
            }
        },101);


        return rootView;
    }

    private int getScale(){
        Display display = ((WindowManager) MainActivity.getInstance().getSystemService(Context.WINDOW_SERVICE)).getDefaultDisplay();
        int width = display.getWidth();
        Double val = new Double(width)/new Double(690);
        val = val * 100d;
        return val.intValue();
    }

    @Override
    public void setUserVisibleHint(boolean isVisibleToUser) {
        super.setUserVisibleHint(isVisibleToUser);
        final TextView refresh = MainActivity.getInstance().findViewById(R.id.refresh);
        final TextView left = MainActivity.getInstance().findViewById(R.id.left);
        final TextView right = MainActivity.getInstance().findViewById(R.id.right);
        if (isVisibleToUser) {
            try {
                refresh.setVisibility(View.VISIBLE);
                left.setVisibility(View.VISIBLE);
                right.setVisibility(View.VISIBLE);
            } catch (Exception ex) {

            }
        } else {
            try {
                refresh.setVisibility(View.INVISIBLE);
                left.setVisibility(View.INVISIBLE);
                right.setVisibility(View.INVISIBLE);
            } catch (Exception ex) {

            }
        }
    }
}
